<?php

require_once 'path_to_phpdocx';

$variables = array(
    'PROD_ID'  => date("n/d/Y"),
    'IMAGE_1'  => $data[''],
);
$docx->replaceVariableByText($variables);
$docx->enableCompatibilityMode();
$variables = array(
    'PROD_ID' => $data['productId'],
    'NAME' => $data['name'],
    'PART-NUMBER' => $data['number'],
    'HEIGHT' => $data['height'],
    'WIDTH' => $data['width'],
    'DEPTH' => $data['depth'],
    'WEIGHT' => $data['weight'],
    'DESCRIPTION' => $data['description'],
    'CURRENCY' => $data['currency'],
    'PRICE' => $data['price'],
    'GENERATION_DATE' => date("d-m-Y"),
);
$docx->replaceVariableByText($variables);

// add images
$docx->replacePlaceholderImage('IMAGE_1', '/img/gears_' . $data['image'] . '.jpg');
$docx->replacePlaceholderImage('PLACEHOLDER_IMAGE', '/img/gears_' . $data['image'] . '.jpg');
// product overview
$code = stripslashes($data['htmlOverview']);
$code = '<head><style type="text/css">p{font-family: Arial;font-size:11pt;}li{font-family: Arial;font-size:11pt;}</style></head><body>' .  $code . '</body>';   
$docx->replaceVariableByHTML('OVERVIEW', 'block', $code);
// output
$fileType = 'docx';

$fileType = $data['output'];

$suffix = md5(microtime());
$filename = 'output/demo_' . $suffix;
// docx output
if ($fileType == 'docx') {
    $docx->createDocxAndDownload($filename);
    unlink($filename . '.docx');
}
// not docx output
$docx->createDocx($filename);
$odtFilename = 'output/demo_conversion_'. $suffix .'.' . $fileType;
$docx->transformDocument($filename.'.docx', $odtFilename, null, array('method' => 'script'));
unlink($filename . '.docx');
header("Expires: Tue, 03 Jul 2001 06:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");
if ($fileType == 'html') {
    $zip = new \ZipArchive();
    if ($zip->open('html.zip', ZIPARCHIVE::CREATE) === TRUE) {
        $zip->addFile($odtFilename, $odtFilename);
        $zip->addFile(str_replace('.html', '_html_m6ac39853.png', $odtFilename), str_replace('.html', '_html_m6ac39853.png', $odtFilename));
        $imgFile = '';
        switch ($data['image']) {
            case 1:
                $imgFile = '_html_m6bb8c339.jpg';
                break;
            case 2:
                $imgFile = '_html_15cf400c.jpg';
                break;
            case 3:
                $imgFile = '_html_m7bdd7a6a.jpg';
                break;
        }
        if ($imgFile) {
            $zip->addFile(str_replace('.html', $imgFile, $odtFilename), str_replace('.html', $imgFile, $odtFilename));
            $zip->close();
            unlink(str_replace('.html', $imgFile, $odtFilename));
        } else {
            $zip->close();
        }
        unlink($odtFilename);                  
        unlink(str_replace('.html', '_html_m6ac39853.png', $odtFilename));

        header("Content-Type: application/zip");
        header("Content-Transfer-Encoding: binary");
        header('Content-Disposition: attachment; Filename=html.zip');
        readfile('html.zip');
        unlink('html.zip');
    }
} else {
    switch ($fileType) {
        case 'pdf':
            header('Content-type: application/pdf');
            break;
        case 'doc':
            header('Content-type: application/vnd.ms-word');
            break;
        case 'rtf':
            header("Content-type: application/rtf");
            break;
        case 'odt':
            header('Content-type: application/vnd.oasis.opendocument.text');
            break;
    }
    header('Content-Disposition: attachment; Filename="demo_conversion.'.$fileType.'"');
    readfile($odtFilename);
    unlink($odtFilename);
}        
